#! /bin/bash
#
#SBATCH --job-name=convert
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --mem=8G
#SBATCH --partition=amd-hdr100,intel-dcb,express
#SBATCH --time=02:00:00
#SBATCH --output=out/convert-%A-%a.out
#SBATCH --error=out/convert-%A-%a.err
#SBATCH --array=0-49

module load Anaconda3
conda activate gpfs

logs=($(find /data/rc/gpfs-policy/data -path "*/list-policy_data-project_list-path-external_slurm-*/chunks"))
log=${logs[${SLURM_ARRAY_TASK_ID}]}

convert-to-parquet --batch --no-clobber --partition=amd-hdr100,express,intel-dcb ${log}