#! /bin/bash
#
#SBATCH --job-name=hive-setup
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=16
#SBATCH --mem=90G
#SBATCH --partition=amperenodes
#SBATCH --time=02:00:00
#SBATCH --reservation=rc-gpfs
#SBATCH --gres=gpu:1
#SBATCH --output=out/hive-setup-%A-%a.out
#SBATCH --error=out/hive-setup-%A-%a.err
#SBATCH --array=0-49

module load Anaconda3
conda activate gpfs-dev

parquets=($(find /data/rc/gpfs-policy/data -path "*/list-policy_data-project_list-path-external_slurm-*/parquet"))
pq=${parquets[${SLURM_ARRAY_TASK_ID}]}

convert-to-hive --batch \
    --reservation=rc-gpfs \
    --partition=amperenodes-reserve \
    --mem=120G \
    --grp-file "${pq}/../misc/tld_grps.txt" \
    ${pq} \
    /scratch/mdefende/project-hive
